From 3318a59b9705bed8ce732f55da3ea231eb9eccd7 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Wed, 29 Aug 2012 10:21:40 +0200
Subject: Load the Project model very early.

This is required to work around a circular dependency issue during class loading.
See the comment in application.rb for details.

--HG--
extra : source : 0f2cffa2016e2edd8415513beaa974d475f76105
---
 config/application.rb |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

diff --git a/config/application.rb b/config/application.rb
index 2ebe8cd..ff77472 100644
--- a/config/application.rb
+++ b/config/application.rb
@@ -65,5 +65,16 @@ module ChiliProject
     if File.exists?(File.join(File.dirname(__FILE__), 'additional_environment.rb'))
       instance_eval File.read(File.join(File.dirname(__FILE__), 'additional_environment.rb'))
     end
+
+    # FIXME: Fix the circular dependencies during model class loading
+    # This is a really nasty loading issue which is was just not exposed
+    # until now due to some recursive auto loading. Due to recursive/circular
+    # dependencies, the Project model needs to be loaded before the user model
+    # can properly loaded. If this is not the case, the User class fails to
+    # auto-load.
+    config.after_initialize do
+      # required to properly load the User class because of circular class dependencies
+      require_dependency 'project'
+    end
   end
 end
-- 
1.7.1


